apiVersion: v1
kind: Pod
metadata:
  name: sidecar-test
spec:
  containers:
  - name: proxy
    #image: envoyproxy/envoy-alpine:v1.14.1
    image: registry.cn-beijing.aliyuncs.com/wangxiaochun/envoy-alpine:v1.14.1
    command: ['sh', '-c', 'sleep 5 && envoy -c /etc/envoy/envoy.yaml']
    lifecycle:
      postStart:
        exec:
          command: ["/bin/sh","-c","wget -O /etc/envoy/envoy.yaml http://www.wangxiaochun.com:8888/testdir/kubernetes/envoy.yaml"]
  - name: pod-test
    image: registry.cn-beijing.aliyuncs.com/wangxiaochun/pod-test:v0.1
    env:
    - name: HOST
      value: "127.0.0.1"
    - name: PORT
      value: "8080"
